Skip to main content
`Ctrl`+`K`

# LMEMonitorRegisterFn

A function prototype for functions provided to `LMEMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode LMEMonitorRegisterFn(LME lme,PetscInt its,PetscReal errest,PetscViewerAndFormat *ctx);

## Calling Sequence

- lme - the linear matrix equation solver context

- its - iteration number

- errest - error estimate

- ctx - `PetscViewerAndFormat` object

## Note

This is an `LMEMonitorFn` specialized for a context of `PetscViewerAndFormat`.

## See Also

LME: Linear Matrix Equation, `LMEMonitorSet()`, `LMEMonitorRegister()`, `LMEMonitorFn`, `LMEMonitorRegisterCreateFn`, `LMEMonitorRegisterDestroyFn`

## Level

advanced

## Location

include/slepclme.h

Index of all LME routines Table of Contents for all manual pages Index of all manual pages